
#include "extern.h"

#include <string.h>


static const unsigned char SW_VERSION[16] = "SW0101_20240510";
static const unsigned char HW_VERSION[8] = "HW01";

void getSW_VERSION(unsigned char *pdata)
{
    memcpy(pdata, SW_VERSION, sizeof(SW_VERSION));
}

void getHW_VERSION(unsigned char *pdata)
{
    memcpy(pdata, HW_VERSION, sizeof(HW_VERSION));
}

void getBuildTime(unsigned char *pdata)
{
    memcpy(pdata, (unsigned char *)0x00010410, 12);
    memcpy(pdata + 12,  (unsigned char *)0x00010404, 8);
    pdata[11] = ' ';
}